dcraw(1)

NAME
dcraw - Kommandozeilen Dekoder für RAW Daten von digitalen Kameras

ZUSAMMENFASSUNG
dcraw [OPTIONEN]... [DATEI]...

BESCHREIBUNG
dcraw dekodiert RAW Daten, zeigt Metadaten an und extrahiert Thumbnails.

ALLGEMEINE EINSTELLUNGEN

-v  Gebe zusätzliche Informationen neben Warnungen und Fehlermeldungen aus.

-c  Schreibe dekodierte Bilder oder Thumbnails in die Standardausgabe.

-e  Extrahiere das von der Kamera erzeugte Thumbnail, nicht das RAW Bild. Die Ausgabe wird, je nach Kamera, eine JPEG oder PPM Datei sein.

-z  Setze die Zugriffs- und Änderungszeit von AVI, JPEG, TIFF oder RAW Dateien auf den Erstellungszeitpunkt des Fotos (dabei wird angenommen, dass die Kamera Uhr auf Universal Time (UT) eingestellt ist).

-i  Überprüfe Dateien, aber dekodiere sie nicht. Gibt 0 zurück, wenn dcraw sie dekodieren kann, 1 wenn nicht. -i -v gibt Metadaten aus.

    dcraw kann keine JPEG Dateien dekodieren!!

REPARATUREINSTELLUNGEN

-P deadpixels.txt
    Lese die Liste toter Pixel aus dieser Datei, anstatt aus ".badpixels". Siehe DATEIEN um eine Beschreibung zu finden.

-K dunkelbild.pgm
    Subtrahiere ein Dunkelbild von den RAW Daten. Um ein Dunkelbild zu erzeugen fotografieren Sie ohne Licht und verwenden danach dcraw -D -4 -j -t 0.

-k Dunkelheit
    Wenn Schatten einen Schleier haben, muss der Dunkelheitsschwellenwert erhöht werden. Um diesen zu berechnen, wenden Sie pamsumm -mean auf das oben erstelle Dunkelbild an.

-S Sättigung
    Wenn Spitzenlichter pink aussehen, müssen Sie den Sättigungsschwellenwert erniedrigen. Um diesen zu berechnen, nehmen Sie ein Bild von etwas glänzenden auf, und wenden Sie anschließend dcraw -D -4 -j -c photo.raw | pamsumm -max auf das Bild an.

    Die Standardwerte für Dunkelheit und Sättigung sind normalerweise richtig.

-n Rauschschwellenwert
    Verwende Wavelets um Rauschen zu entfernen und Bilddetails zu erhalten. Der Schwellenwert sollte zwischen 100 und 1000 liegen.

-C rot_verg blau_verg
    Vergrößere die roten oder blauen Kanäle um die angegebenen Werte, meistens 0.999 bis 1.001, um chromatische Aberration zu korrigieren.

-H 0
    Übersteuere alle Spitzlichter zu völligem weiß (Voreinstellung).

-H 1
    Belässt alle übersteuerten Spitzenlichter in verschiedenen Pink Tönen.

-H 2
    Vermische abgeschnittene und nicht abgeschnittene Werte zu einem allmählichen Verlauf zu Weiß.

-H 3+
    Rekonstruiert Spitzenlichter. Niedrige Nummern bevorzugen weiß; hohe Nummern bevorzugen Farben. Verwenden Sie -H 5 als Kompromiss. Sollte das nicht gut genug sein, probieren Sie -H 9, schneiden Sie die nicht weißen Spitzlichter aus, und kopieren Sie sie in ein Bild, das mit -H 3 erzeugt wurde.

FARBEINSTELLUNGEN
Standardmäßig verwendet dcraw einen festen Weißabgleich basierend auf einer, mit einer standard D65 Lampe beleuchteten, Farbkarte.

-w  Benutze den Weißabgleich der Kamera. Gebe eine Warnung aus, wenn dieser nicht gefunden wird und verwende eine andere Methode.

-a  Berechne Weißabgleich unter Verwendung des ganzen Bildes.

-A Links Oben Breite Höhe
    Berechne Weißabgleich unter Verwendung eines rechteckigen Bereichs. Benutzen Sie dcraw -j -t 0 und wählen sie einen Bereich mit neutralen Grauwert.

-r mul0 mul1 mul2 mul3
    Verwende manuellen Weißabgleich. Diese Multiplikatoren können aus der Ausgabe von dcraw -v kopiert werden.

+M oder -M
    Verwende (oder verwende keine) Farbmatrix aus den Metadaten der Kamera. Voreinstellung ist +M oder, wenn -w gewählt wurde -M. Diese Option betrifft nur Olympus, Leaf und Phase One Kameras.

-o [0-5]
    Wählt den Farbraum der Ausgabe aus, wenn -p nicht verwendet wird: 0 Raw Farbe (abhängig von der jeweiligen Kamera)
    1 sRGB D65 (Voreinstellung)
    2 Adobe RGB (1998) D65
    3 Wide Gamut RGB D65
    4 Kodak ProPhoto RGB D65
    5 XYZ

-p kamera.icm [ -o ausgabe.icm ]
    Verwende ICC Profile um den RAW Farbraum der Kamera und den Ausgabe Farbraum zu definieren (Voreinstellung: sRGB).

-p embed
    Verwende das in der RAW Datei eingebettete Profil.

INTERPOLATIONSEINSTELLUNGEN

-d  Zeige die RAW Daten als Graustufen Bild ohne Interpolation. (z.B. gut geeignet für Schwarz-Weiß Dokumente)

-D  Identisch zu -d, aber völlig unbearbeitet (ohne Farbskalierung).

-h  Gibt ein Bild mit halber Größe aus, doppelt so schnell wie -q 0.

-q 0
    Benutze schnelle und qualitativ schlechtere bilineare Interpolation.

-q 1
    Verwende Variable Number of Gradients (VNG) Interpolation.

-q 2
    Verwende Patterned Pixel Grouping (PPG) Interpolation.

-q 3
    Verwende Adaptive Homogeneity-Directed (AHD) Interpolation.

-f  Interpoliere RGB als vier Farben. Verwenden Sie diese Option wenn die Ausgabe Anzeichen von 2x2 Netzen bei VNG Interpolation oder Labyrinthstrukturen bei AHD Interpolation zeigt.

-m Anzahl_der_Durchgänge
    Säubere Farbartefakte nach der Interpolation, durch wiederholtes Anwenden eines 3x3 Median Filters auf die R-G und B-G Kanäle.

AUSGABEEINSTELLUNGEN
Standardmäßig gibt dcraw PGM/PPM/PAM Dateien mit 8-bit Daten, einer BT.709 Gamma Kurve, einem Histogramm basierten Weißwert und keinen Metadaten aus.

-W  Ignoriere das Histogramm der Datei und verwende einen festen Weißwert.

-b Helligkeit
    Teile den Weißwert durch diese Zahl, standardmäßig 1.0

-g Potenz maximale_Steigung
    Die Gammakurve festlegen, standardmäßig BT.709 (-g 2.222 4.5). Wenn Sie die sRGB Gammakurve bevorzugen, verwenden Sie -g 2.4 12.92. Für eine einfache Potenzfunktion, setzen Sie maximale_Steigung auf 0.

-6  Schreibe sechzehn Bits pro Sample anstelle von acht.

-4  Schreibe lineare 16-bit Daten, produziert dasselbe wie -6 -W -g 1 1.

-T  Gibt TIFF mit Metadaten, anstatt PGM/PPM/PAM Dateien, aus.

-t [0-7,90,180,270]
    Drehe die Ausgabe. Die Voreinstellung, dcraw rotiert die Ausgabe nach den Vorgaben der Kamera. -t 0 deaktiviert jede Rotation.

-j  Neige das Bild um 45 Grad für Fuji Super CCD Kameras. Verhindert eine Streckung auf das korrekte Bildverhältnis für Kameras, die keine quadartischen Pixel haben. Diese Option garantiert, dass jeder Ausgabepixel einem RAW Pixel entspricht.

-s [0..N-1] oder -s all
    Wenn eine Datei N raw Bilder enthält, wähle eins oder alle ("all") zum Dekodieren. Fuji Super CCD SR Kameras zum Beispiel erzeugen ein zweites Bild, welches vier Blenden unterbelichtet ist, um die Details in den Spitzenlichtern zu erhalten.

DATEIEN

./.badpixels, ../.badpixels, ../../.badpixels, ...
    Liste der toten Pixel Ihrer Kamera, so dass dcraw um sie herum interpolieren kann. Jede Zeile gibt die Spalte, Zeile und die UNIX Zeit des Todeszeitpunkts des jeweiligen Pixels an. Zum Beispiel:

     962   91 1028350000  # starb zwischen dem 1 und 4 Ausgust 2002
    1285 1067 0           # Todeszeitpunkt unbekannt

    Diese Koordinaten entsprechen denen vor jeglicher Größenänderung und Rotation, verwenden Sie also dcraw -j -t 0 um tote Pixel zu finden.

SIEHE AUCH
pgm(5), ppm(5), pam(5), pamsumm(1), pnmgamma(1), pnmtotiff(1), pnmtopng(1), gphoto2(1), cjpeg(1), djpeg(1)

AUTOR
Geschrieben von David Coffin, dcoffin a cybercom o net

ÜBERSETZUNG
Benjamin Lebsanft, benjamin a lebsanft o org